Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.game
Class GAMEAspectPropHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game.StAXPropertyHandler
              org.biojava.bio.seq.io.game.GAMEAspectPropHandler

All Implemented Interfaces:
  StAXContentHandler

    public class GAMEAspectPropHandler

extends StAXPropertyHandler

Handles the GAME <aspect> element

Since:
  1.8
Author:
  David Huen

Field Summary
`static StAXHandlerFactory` | `GAME_ASPECT_PROP_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.game.StAXPropertyHandler
`featureListener, staxenv`

Method Summary
`void` | `startElement(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)` Override this to do any processing required but call this prior to returning.

Methods inherited from class org.biojava.bio.seq.io.game.StAXPropertyHandler
`addHandler, endElement, endElementHandler, getHandlerStackIterator, setHandlerCharacteristics, startElementHandler`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_ASPECT_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_ASPECT_PROP_HANDLER_FACTORY

Method Detail

### startElement

    public void startElement(String nsURI,
                             String localName,
                             String qName,
                             Attributes attrs,
                             DelegationManager dm)
                      throws SAXException

  Description copied from class: `StAXPropertyHandler`
  Override this to do any processing required but call this prior to returning. Delegation occurs here!

  Specified by:
    `startElement` in interface `StAXContentHandler`
  Overrides:
    `startElement` in class `StAXPropertyHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD